@import "../utils/_variables";

@mixin button($color) {
  background-color: rgba($color,.05);
  border-color: rgba($color,.4);
  color: rgba($color,1);

  &:hover {
    background-color: rgba($color,.15);
    border-color: rgba($color,.8);
    color: rgba($color,1);
  }
}

.button {
    font-weight: 400;
    border-radius: $border-radius-md;
    cursor: pointer;
    display: inline-block;
    line-height: 1;
    transition: all 0.3s ease-in-out;
    cursor: pointer;
    display: flex;
    align-items: center;
    transition: all 0.3s ease-in-out;
    border-color: transparent;
    border-style: solid;
    border-width: 1px;

    &.button--icon {
        justify-content: space-between;
    }
    &:not(.button--icon) {
      justify-content: center;
    } 

    i{
      // font-size: 1.5rem;
      margin-left: 1rem;
    }

    &:disabled {
      justify-content: center;
      opacity: 0.65;
      cursor: not-allowed;
    }
  }
  .button--primary {
    color: white;
    background-color: $color-primary;

    &:hover {
        background-color: $color-primary-light;
    }
  }
  .button--secondary {
    color: #333;
    background-color: transparent;
    border-color: rgba($color: #000000, $alpha: .1);
    // box-shadow: rgba(0, 0, 0, 0.15) 0px 0px 0px 1px inset;
    &:hover {
        border-color: transparent;
    }
  }
  .button--small {
    font-size: 12px;
    padding: 10px 16px;
  }
  .button--medium {
    font-size: 14px;
    padding: 1rem 1.3rem;
    border-radius: .3rem;
  }
  .button--large {
    font-size: 16px;
    padding: 1.7rem 2rem;
  }

  .button.color--danger {
    color: white;
    @include button($color-danger);
  }

  .button--secondary {
    background-color: $color-grey-light;

    &:hover {
        background-color: $color-primary;
        color: white;
    }
}

$spinner-color: #ffffff;
$spinner-size: 10px;
$spinner-animation-duration: 1s;

.spinner {
  border: 1px solid rgba($spinner-color, 0);
  border-top-color: $spinner-color;
  border-radius: 50%;
  width: $spinner-size;
  height: $spinner-size;
  animation: spin $spinner-animation-duration ease-in-out infinite;
  margin-right: 15px;
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}